# Uses of Enum
org.apache.zookeeper.server.quorum.LearnerSyncThrottler.SyncType

Packages that use LearnerSyncThrottler.SyncType
Package
Description
org.apache.zookeeper.server.quorum

## Uses of LearnerSyncThrottler.SyncType in org.apache.zookeeper.server.quorum

Subclasses with type arguments of type LearnerSyncThrottler.SyncType in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static enum`
`LearnerSyncThrottler.SyncType`
Methods in org.apache.zookeeper.server.quorum that return LearnerSyncThrottler.SyncType
Modifier and Type
Method
Description
`static LearnerSyncThrottler.SyncType`
LearnerSyncThrottler.SyncType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LearnerSyncThrottler.SyncType[]`
LearnerSyncThrottler.SyncType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.zookeeper.server.quorum with parameters of type LearnerSyncThrottler.SyncType
Modifier
Constructor
Description
``
`LearnerSyncThrottler(int maxConcurrentSyncs, LearnerSyncThrottler.SyncType syncType)`
Constructs a new instance limiting the concurrent number of syncs to `maxConcurrentSyncs`.
``
`SyncThrottleException(int concurrentSyncNumber, int throttleThreshold, LearnerSyncThrottler.SyncType syncType)`